SHARE
TWEET

Untitled

a guest Apr 11th, 2015 200 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. serv0 ~ # revdep-rebuild
  2.  * Configuring search environment for revdep-rebuild
  3.  
  4.  * Checking reverse dependencies
  5.  * Packages containing binaries and libraries broken by a package update
  6.  * will be emerged.
  7.  
  8.  * Collecting system binaries and libraries
  9.  * Generated new 1_files.rr
  10.  * Collecting complete LD_LIBRARY_PATH
  11.  * Generated new 2_ldpath.rr
  12.  * Checking dynamic linking consistency
  13. [ 4% ]  *   broken /opt/bin/skype (requires libQtCore.so.4
  14. libQtDBus.so.4
  15. libQtGui.so.4
  16. libQtNetwork.so.4
  17. libQtWebKit.so.4
  18. libQtXml.so.4)
  19. [ 25% ]  *   broken /usr/bin/qdbus (requires libQtCore.so.4
  20. libQtDBus.so.4
  21. libQtXml.so.4)
  22.  *   broken /usr/bin/qdbuscpp2xml (requires libQtCore.so.4
  23. libQtDBus.so.4)
  24.  *   broken /usr/bin/qdbusxml2cpp (requires libQtCore.so.4
  25. libQtDBus.so.4)
  26.  *   broken /usr/bin/qpdfview (requires libQtCore.so.4
  27. libQtDBus.so.4
  28. libQtGui.so.4)
  29. [ 65% ]  *   broken /usr/lib64/libpoppler-qt4.so.4.6.0 (requires libQtCore.so.4
  30. libQtGui.so.4
  31. libQtXml.so.4)
  32. [ 88% ]  *   broken /usr/lib64/qpdfview/libqpdfview_djvu.so (requires libQtCore.so.4
  33. libQtGui.so.4)
  34.  *   broken /usr/lib64/qpdfview/libqpdfview_pdf.so (requires libQtCore.so.4
  35. libQtGui.so.4
  36. libQtXml.so.4)
  37.  *   broken /usr/lib64/qt4/libQtDBus.so.4.8.5 (requires libQtCore.so.4
  38. libQtXml.so.4)
  39. [ 89% ]  *   broken /usr/lib64/virtualbox/VBoxDbg.so (requires libQtCore.so.4
  40. libQtGui.so.4)
  41.  *   broken /usr/lib64/virtualbox/VBoxTestOGL (requires libQtCore.so.4
  42. libQtGui.so.4
  43. libQtOpenGL.so.4)
  44.  *   broken /usr/lib64/virtualbox/VirtualBox.so (requires libQtCore.so.4
  45. libQtGui.so.4
  46. libQtNetwork.so.4
  47. libQtOpenGL.so.4)
  48. [ 91% ]  *   broken /usr/lib64/vlc/plugins/gui/libqt4_plugin.so (requires libQtCore.so.4
  49. libQtGui.so.4)
  50. [ 100% ]                
  51.  * Generated new 3_broken.rr
  52.  * Assigning files to packages
  53.  *   /opt/bin/skype -> net-im/skype
  54.  *   /usr/bin/qdbus -> dev-qt/qtdbus
  55.  *   /usr/bin/qdbuscpp2xml -> dev-qt/qtdbus
  56.  *   /usr/bin/qdbusxml2cpp -> dev-qt/qtdbus
  57.  *   /usr/bin/qpdfview -> app-text/qpdfview
  58.  *   /usr/lib64/libpoppler-qt4.so.4.6.0 -> app-text/poppler
  59.  *   /usr/lib64/qpdfview/libqpdfview_djvu.so -> app-text/qpdfview
  60.  *   /usr/lib64/qpdfview/libqpdfview_pdf.so -> app-text/qpdfview
  61.  *   /usr/lib64/qt4/libQtDBus.so.4.8.5 -> dev-qt/qtdbus
  62.  *   /usr/lib64/virtualbox/VBoxDbg.so -> app-emulation/virtualbox
  63.  *   /usr/lib64/virtualbox/VBoxTestOGL -> app-emulation/virtualbox
  64.  *   /usr/lib64/virtualbox/VirtualBox.so -> app-emulation/virtualbox
  65.  *   /usr/lib64/vlc/plugins/gui/libqt4_plugin.so -> media-video/vlc
  66.  * Generated new 4_raw.rr and 4_owners.rr
  67.  * Cleaning list of packages to rebuild
  68.  * Generated new 4_pkgs.rr
  69.  * Assigning packages to ebuilds
  70.  * Generated new 4_ebuilds.rr
  71.  * Evaluating package order
  72.  * Generated new 5_order.rr
  73.  * All prepared. Starting rebuild
  74. emerge --complete-graph=y --oneshot --autounmask=n  app-emulation/virtualbox:0 app-text/poppler:0/51 app-text/qpdfview:0 dev-qt/qtdbus:4 media-video/vlc:0/5-7 net-im/skype:0
  75. ..........
  76. Calculating dependencies... done!
  77. [ebuild  N     ] dev-qt/qtcore-4.8.5-r2  USE="exceptions glib iconv ssl (-aqua) -debug -icu -pch -qt3support"
  78. [ebuild  N     ] dev-qt/qtscript-4.8.5  USE="exceptions iconv jit (-aqua) -debug -pch"
  79. [ebuild  N     ] dev-qt/qtgui-4.8.5-r4  USE="accessibility exceptions glib mng tiff xv (-aqua) -cups -debug -egl -gtkstyle -nas -nis -pch -qt3support -trace -xinerama"
  80. [ebuild  N     ] dev-qt/qtsvg-4.8.5  USE="accessibility exceptions (-aqua) -debug -pch"
  81. [ebuild   R    ] app-text/poppler-0.32.0
  82. [ebuild  N     ] dev-qt/qtopengl-4.8.5  USE="exceptions (-aqua) -debug -egl -pch -qt3support"
  83. [ebuild   R    ] app-emulation/virtualbox-4.3.18
  84. [ebuild  N    ~] dev-qt/qtchooser-0_p20150102  USE="-qt5 {-test}"
  85. [ebuild  N    ~] dev-qt/qtcore-4.8.6-r1  USE="exceptions glib iconv ssl (-aqua) -debug -icu -pch -qt3support" ABI_X86="32 (64) (-x32)"
  86. [ebuild  N    ~] dev-qt/qttranslations-4.8.6-r1  ABI_X86="32 (64) (-x32)"
  87. [ebuild     U ~] dev-qt/qtdbus-4.8.6-r1 [4.8.5] ABI_X86="32%* (64%*) (-x32)"
  88. [blocks b      ] <dev-qt/qtdbus-4.8.6:4 ("<dev-qt/qtdbus-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102)
  89. [ebuild  N    ~] dev-qt/qtscript-4.8.6-r1  USE="exceptions iconv jit (-aqua) -debug -pch" ABI_X86="32 (64) (-x32)"
  90. [ebuild  N    ~] dev-qt/qtxmlpatterns-4.8.6-r1  USE="(-aqua) -debug -pch" ABI_X86="32 (64) (-x32)"
  91. [ebuild  N    ~] dev-qt/qtgui-4.8.6-r2  USE="accessibility exceptions glib mng tiff xv (-aqua) -cups -debug -egl -gtkstyle -nas -nis -pch -qt3support -trace -xinerama" ABI_X86="32 (64) (-x32)"
  92. [ebuild  N    ~] dev-qt/qtwebkit-4.8.6-r1  USE="exceptions gstreamer jit (-aqua) -debug -icu -pch" ABI_X86="32 (64) (-x32)"
  93. [ebuild   R    ] app-text/qpdfview-0.4.13-r1
  94. [ebuild   R    ] media-video/vlc-2.1.5-r1
  95. [ebuild   R   ~] net-im/skype-4.3.0.37-r5
  96. [blocks B      ] <dev-qt/qtscript-4.8.6:4 ("<dev-qt/qtscript-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102)
  97. [blocks B      ] <dev-qt/qtgui-4.8.6:4 ("<dev-qt/qtgui-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102)
  98. [blocks B      ] <dev-qt/qtsvg-4.8.6:4 ("<dev-qt/qtsvg-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102)
  99. [blocks B      ] <dev-qt/qtcore-4.8.6:4 ("<dev-qt/qtcore-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102)
  100. [blocks B      ] <dev-qt/qtopengl-4.8.6:4 ("<dev-qt/qtopengl-4.8.6:4" is blocking dev-qt/qtchooser-0_p20150102)
  101.  
  102. !!! Multiple package instances within a single package slot have been pulled
  103. !!! into the dependency graph, resulting in a slot conflict:
  104.  
  105. dev-qt/qtcore:4
  106.  
  107.   (dev-qt/qtcore-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge) pulled in by
  108.     dev-qt/qtcore:4[abi_x86_32(-)] required by (net-im/skype-4.3.0.37-r5:0/0::gentoo, ebuild scheduled for merge)
  109.                                                                                                                                  
  110.     ~dev-qt/qtcore-4.8.6[aqua=,debug=,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-qt/qtxmlpatterns-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge)
  111.     ^              ^^^^^                                                                                                                                                                                                                                                                                                                        
  112.     (and 5 more with the same problems)
  113.  
  114.   (dev-qt/qtcore-4.8.5-r2:4/4::gentoo, ebuild scheduled for merge) pulled in by
  115.     ~dev-qt/qtcore-4.8.5[aqua=,debug=,qt3support=] required by (dev-qt/qtopengl-4.8.5:4/4::gentoo, ebuild scheduled for merge)
  116.     ^              ^^^^^                                                                                                                                                            
  117.     (and 3 more with the same problem)
  118.  
  119. dev-qt/qtgui:4
  120.  
  121.   (dev-qt/qtgui-4.8.6-r2:4/4::gentoo, ebuild scheduled for merge) pulled in by
  122.     dev-qt/qtgui:4[accessibility,abi_x86_32(-)] required by (net-im/skype-4.3.0.37-r5:0/0::gentoo, ebuild scheduled for merge)
  123.                                                                                                                                                
  124.     ~dev-qt/qtgui-4.8.6[aqua=,debug=,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-qt/qtwebkit-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge)
  125.     ^             ^^^^^                                                                                                                                                                                                                                                                                                                  
  126.  
  127.   (dev-qt/qtgui-4.8.5-r4:4/4::gentoo, ebuild scheduled for merge) pulled in by
  128.     ~dev-qt/qtgui-4.8.5[accessibility=,aqua=,debug=] required by (dev-qt/qtsvg-4.8.5:4/4::gentoo, ebuild scheduled for merge)
  129.     ^             ^^^^^                                                                                                                                                            
  130.     (and 1 more with the same problem)
  131.  
  132. dev-qt/qtscript:4
  133.  
  134.   (dev-qt/qtscript-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge) pulled in by
  135.     ~dev-qt/qtscript-4.8.6[aqua=,debug=,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (dev-qt/qtgui-4.8.6-r2:4/4::gentoo, ebuild scheduled for merge)
  136.     ^                ^^^^^                                                                                                                                                                                                                                                                                                                
  137.  
  138.   (dev-qt/qtscript-4.8.5:4/4::gentoo, ebuild scheduled for merge) pulled in by
  139.     ~dev-qt/qtscript-4.8.5[aqua=,debug=] required by (dev-qt/qtgui-4.8.5-r4:4/4::gentoo, ebuild scheduled for merge)
  140.     ^                ^^^^^                                                                                                                                                
  141.  
  142.  
  143. It may be possible to solve this problem by using package.mask to
  144. prevent one of those packages from being selected. However, it is also
  145. possible that conflicting dependencies exist such that they are
  146. impossible to satisfy simultaneously.  If such a conflict exists in
  147. the dependencies of two different packages, then those packages can
  148. not be installed simultaneously. You may want to try a larger value of
  149. the --backtrack option, such as --backtrack=30, in order to see if
  150. that will solve this conflict automatically.
  151.  
  152. For more information, see MASKED PACKAGES section in the emerge man
  153. page or refer to the Gentoo Handbook.
  154.  
  155.  
  156.  * Error: The above package list contains packages which cannot be
  157.  * installed at the same time on the same system.
  158.  
  159.   (dev-qt/qtopengl-4.8.5:4/4::gentoo, ebuild scheduled for merge) pulled in by
  160.     dev-qt/qtopengl:4 required by (app-emulation/virtualbox-4.3.18:0/0::gentoo, ebuild scheduled for merge)
  161.  
  162.   (dev-qt/qtsvg-4.8.5:4/4::gentoo, ebuild scheduled for merge) pulled in by
  163.     dev-qt/qtsvg:4 required by (app-text/qpdfview-0.4.13-r1:0/0::gentoo, ebuild scheduled for merge)
  164.  
  165.   (dev-qt/qtchooser-0_p20150102:0/0::gentoo, ebuild scheduled for merge) pulled in by
  166.     dev-qt/qtchooser required by (dev-qt/qttranslations-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge)
  167.     dev-qt/qtchooser required by (dev-qt/qtxmlpatterns-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge)
  168.     dev-qt/qtchooser required by (dev-qt/qtwebkit-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge)
  169.     dev-qt/qtchooser required by (dev-qt/qtdbus-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge)
  170.     dev-qt/qtchooser required by (dev-qt/qtscript-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge)
  171.     dev-qt/qtchooser required by (dev-qt/qtcore-4.8.6-r1:4/4::gentoo, ebuild scheduled for merge)
  172.     dev-qt/qtchooser required by (dev-qt/qtgui-4.8.6-r2:4/4::gentoo, ebuild scheduled for merge)
  173.  
  174.  
  175. For more information about Blocked Packages, please refer to the following
  176. section of the Gentoo Linux x86 Handbook (architecture is irrelevant):
  177.  
  178. http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
  179.  
  180.  
  181. !!! The following installed packages are masked:
  182. - games-board/aisleriot-3.2.3.2-r1::gentoo (masked by: package.mask)
  183. /usr/portage/profiles/package.mask:
  184. # Pacho Ramos <pacho@gentoo.org> (19 Mar 2015)
  185. # Hardmasked for ages and still impossible to unmask (#416683).
  186. # Removal in a month.
  187. # Alexandre Rostovtsev <tetromino@gentoo.org> (20 May 2012)
  188. # Requires dev-scheme/guile-2.0.5 which is in lisp overlay and masked;
  189. # bug #416683
  190.  
  191. For more information, see the MASKED PACKAGES section in the emerge
  192. man page or refer to the Gentoo Handbook.
  193.  
  194.  *
  195.  * revdep-rebuild failed to emerge all packages.
  196.  * you have the following choices:
  197.  * - If emerge failed during the build, fix the problems and re-run revdep-rebuild.
  198.  * - Use /etc/portage/package.keywords to unmask a newer version of the package.
  199.  *   (and remove 5_order.rr to be evaluated again)
  200.  * - Modify the above emerge command and run it manually.
  201.  * - Compile or unmerge unsatisfied packages manually,
  202.  *   remove temporary files, and try again.
  203.  *   (you can edit package/ebuild list first)
  204.  *
  205.  * To remove temporary files, please run:
  206.  * rm /var/cache/revdep-rebuild/*.rr
  207. serv0 ~ #
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Top